Bug 484992 - xorg-x11-drv-ati 6.10 with KMS does not detect the secondary DVI port
xorg-x11-drv-ati 6.10 with KMS does not detect the secondary DVI port
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
card_R420/M
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-10 19:15 EST by François Cami
Modified: 2009-12-18 02:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:53:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg with KMS (30.41 KB, text/plain)
2009-02-10 19:15 EST, François Cami
no flags Details
dmesg with nomodeset (30.12 KB, text/plain)
2009-02-10 19:16 EST, François Cami
no flags Details
Xorg log with KMS (22.61 KB, text/plain)
2009-02-10 19:16 EST, François Cami
no flags Details
Xorg log with nomodeset (92.01 KB, text/plain)
2009-02-10 19:17 EST, François Cami
no flags Details

  None (edit)
Description François Cami 2009-02-10 19:15:40 EST
Created attachment 331501 [details]
dmesg with KMS

Description of problem:
xorg-x11-drv-ati 6.10 cannot detect the secondary DVI port when modesetting is enabled. My TFT monitor being connected to the secondary DVI, I then have no usable screen and Xorg crashes :
(WW) RADEON(0): No outputs definitely connected, trying again...
(EE) RADEON(0): No modes.
(EE) Screen(s) found, but none have a usable configuration.

Version-Release number of selected component (if applicable):
kernel-2.6.27.12-170.2.5.fc10.x86_64
xorg-x11-drv-ati-6.10.0-2.fc10.x86_64
A user mentioned on bodhi that xorg-x11-drv-ati-6.10.0-1.fc10 exhibited a similar problem, see https://admin.fedoraproject.org/updates/xorg-x11-drv-ati-6.10.0-2.fc10 .

How reproducible:
Always

Steps to Reproduce:
1. Boot without nomodeset with secondary DVI port hooked to monitor
2. If the primary DVI port is connected, Xorg may start normally, else no Xorg
  
Actual results:
Xorg crashes if the primary DVI port is not connected.

Expected results:
Xorg launches itself.

Additional info:
With nomodeset this does not happen.
This did not happen with the 6.9.x driver either.
Comment 1 François Cami 2009-02-10 19:16:22 EST
Created attachment 331502 [details]
dmesg with nomodeset
Comment 2 François Cami 2009-02-10 19:16:46 EST
Created attachment 331503 [details]
Xorg log with KMS
Comment 3 François Cami 2009-02-10 19:17:08 EST
Created attachment 331504 [details]
Xorg log with nomodeset
Comment 4 Jérôme Glisse 2009-10-15 10:43:06 EDT
Do you still have this issue with fedora 12 (you can test livecd from http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/) ?
Comment 5 Bug Zapper 2009-11-18 04:50:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:53:18 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.